cordova.define("de.geektank.bitcoin.plugin.dogerain.DogeRain", function(require, exports, module) { var dogerain = {

    toast: function(text) {
        cordova.exec(
            function() {},    // success callback function
            function(msg) {   // error callback function
                console.warn(msg);
            },
            'DogeRain',         // mapped to our native Java class called "DogeRain"
            'toast',            // with this action name
            [{                  // and this array of custom arguments to create our entry
                "text": text
            }]
        );
    },

    getOldAndroidAccount: function(successCallback, errorCallback) {
        cordova.exec(
            successCallback,
            errorCallback,
            'DogeRain',
            'getOldAndroidAccount',
            [{
            }]
        );
    },

    getNumberOfCPUs: function(successCallback, errorCallback) {
        cordova.exec(
            successCallback,
            errorCallback,
            'DogeRain',
            'getNumCPUs',
            [{
            }]
        );
    },

    getLocation: function(successCallback, errorCallback) {
        cordova.exec(
            successCallback,
            errorCallback,
            'DogeRain',
            'location',
            [{
            }]
        );
    },

    hasWallet: function(successCallback, errorCallback) {
        cordova.exec(
            successCallback,
            errorCallback,
            'DogeRain',
            'hasWallet',
            [{
            }]
        );
    },

    openWallet: function(successCallback, errorCallback, adresse, shibetoshies) {
        cordova.exec(
            successCallback,
            errorCallback,
            'DogeRain',
            'openWallet',
            [{
                "adresse": adresse,
                "shibetoshies":shibetoshies
            }]
        );
    },

    setShakeDetector: function(successCallback, errorCallback) {
        cordova.exec(
            successCallback,
            errorCallback,
            'DogeRain',
            'setShakeDetector',
            [{
            }]
        );
    }

}

module.exports = dogerain;
});
